#ifndef _RATIONAL_HPP_
#define _RATIONAL_HPP_

#include <string>

class Rational {
private:
	int zaehler;
	int nenner;
	
public:
	explicit Rational(int z=0, int n=1);
	std::string toString() const;
	static int kgV(int a, int b);
	
	Rational operator*(const Rational& rechts) const;
	Rational& operator*=(const Rational& rechts);
	Rational operator+(const Rational& rechts)const;
	Rational& operator+=(const Rational& rechts);
	Rational operator-(const Rational& rechts) const;
	Rational& operator-=(const Rational& rechts);
	Rational operator/(const Rational& rechts) const;
	Rational& operator/=(const Rational& rechts);
	bool operator==(const Rational& rechts) const;
    	bool operator!=(const Rational& rechts) const;
    	bool operator< (const Rational& rechts) const;
    	bool operator<=(const Rational& rechts) const;
    	bool operator>(const Rational& rechts) const;
    	bool operator>=(const Rational& rechts) const;
};

std::ostream& operator<<(std::ostream& os, const Rational& r);

#endif
